Step 4 - Retrieve Balance details

Overview

After successful completion of the Balance Refresh job, you will be able to retrieve the most up-to-date information on the end user's bank balance.

Retrieve Identity Details

HTTP Request

Sandbox - GET https://api.sandbox.aerosync.com/v2/accounts/{{connectionId}}/balance

Production - GET https://api.aerosync.com/v2/accounts/{{connectionId}}/balance

Request Parameters

ParameterRequired?TypeDescription
connectionIdYesStringAerosync-specific connectionId received from the SDK onSuccess

Request and Response

GET https://api.sandbox.aerosync.com/v2/accounts/fdd3007a951b436c81e46ffe2483ea3a/balance
Authorization: Bearer {{token}}

{
  "status": "success",
  "statusCode": 200,
  "account": {
    "availableBalance": 3124.25,
    "currentBalance": 3124.25,
    "lastRefreshTimeStamp": "2023-01-23 18:07:25.815355",
    "currency": "USD",
    "bankName": "Chase",
    "institutionName": "Chase",
    "institutionUuid": "253018d1-578b-4c79-bb85-48b666bbd6e0",
    "userId": "fdd3007a951b436c81e46ffe2483ea3a",
    "connectionId": "fdd3007a951b436c81e46ffe2483ea3a"
  }
}